/*******************************************************************************
 *  Licensed Materials - Property of IBM
 * (C) Copyright IBM Corp.  2001, 2006.  All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.ccl.mapping.xsd.resources;

import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.resource.Resource;
import org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl;

public class XSDResourceFactoryForDTD extends ResourceFactoryImpl
{
  /**
   * Creates an instance.
   */
  public XSDResourceFactoryForDTD()
  {
    super();
  }

  /**
   * Creates an {@link XSDResourceImpl}.
   * @param uri the URI of the new resource.
   * @return an XSDResourceImpl.
   */
  public Resource createResource(URI uri)
  {
    return new XSDResourceForDTD(uri);
  }
}
