/*******************************************************************************
 *  Licensed Materials - Property of IBM
 * (C) Copyright IBM Corp.  2001, 2006.  All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.ccl.mapping.xsd.resources;

import org.eclipse.emf.ecore.resource.ResourceSet;

import com.ibm.ccl.mapping.xsd.XSDEcorePathResolverAdapter;

public class XSLTPathResolverAdapter extends XSDEcorePathResolverAdapter
{
  
  /**
   * Returns the resource set of the mapping resource.
   */
  protected ResourceSet getResourceSet()
  {
    if (fResourceSet==null)
    {
      // we need to tweak the code here to use a specialized 'MappingResources'
    	// that will register the required adapter factories
    	//
    	MappingResources mappingResources = new MappingResources();      
      fResourceSet = mappingResources.getResourceSet(null);        
    }
    return fResourceSet;
  }
}
